Bug 958832 - Transparency rendering problems on PyMOL
Transparency rendering problems on PyMOL
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On: 860660 958836
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-02 09:47 EDT by Michal Domonkos
Modified: 2015-02-17 10:08 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 860660
Environment:
Last Closed: 2015-02-17 10:08:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Domonkos 2013-05-02 09:47:55 EDT
+++ This bug was initially created as a clone of Bug #860660 +++

Description of problem:
Wizard -> Demo -> Transparency does not show the internal atoms and bonds over the transparent hull.

Versions:
- Radeon testday LiveCD
- Pymol 1.5.0.2-5.20120218svn3982.fc18 (installed using yum)
- xorg-x11-drv-ati-7.0.0-0.6.20120910git7c7f27756
- kernel 3.6.0-0.rc7.git0.1

Hardware profile: http://www.smolts.org/client/show/pub_d6c0fd9b-0118-42ca-8d14-199f3029fc97

Steps to Reproduce:
1. Launch PyMOL
2. Load transparency demo using Wizard menu Demo entry
3. Objects inside the transparent molecule hull are not shown
  
Actual results:
- Check attached png
Expected results:
- Check attached png generated on a F17 system over the same hardware, both 64 bits installations (PyMOL on F17 is 1.5.0.2-3.20120218svn3982.fc17, which is not exactly the same package version [3 on F17 vs 5 on F18]

--- Additional comment from Jacobo Cabaleiro on 2012-09-26 08:24:17 EDT ---

Created attachment 617532 [details]
PyMOL correct transparency demo on F17

--- Additional comment from Jacobo Cabaleiro on 2012-09-26 08:24:54 EDT ---

Created attachment 617533 [details]
PyMOL no transparency on F18 radeon testday LiveCD
Comment 1 Michal Domonkos 2013-05-02 09:49:49 EDT
Still present in Fedora 19, affecting nouveau as well.

xorg-x11-server-Xorg-1.14.0-6.fc19.x86_64
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64
kernel-3.9.0-0.rc8.git0.2.fc19.x86_64
Comment 2 Fedora End Of Life 2015-01-09 13:01:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 10:08:18 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.